#ifndef OBJECT_MANAGER_INCLUDE_H
#define OBJECT_MANAGER_INCLUDE_H

#include <genesis.h>

#include "ObjectStruct.h"

void ObjectManager_Init();
void ObjectManager_ResetObjectCollections();
void ObjectManager_UpdateObjects();
void ObjectManager_DrawObjects();
void ObjectManager_UpdateVDP();

void ComputeStandardActiveArea(ObjectStruct* object);

ObjectStruct* ObjectManager_CreateObject(u16                          objectType, 
                                         ObjectFunctionType           updateFunction, 
                                         ObjectFunctionType           destroyFunction, 
                                         ObjectFunctionType           drawFunction, 
                                         ObjectCollisionFunctionType  collisionFunction);


#endif
