#ifndef UTILS_INCLUDE_H
#define UTILS_INCLUDE_H

#include <genesis.h>
#include "ObjectStruct.h"

u8 isRectOverlapping(fix32 left, fix32 top, fix32 right, fix32 bottom,
                     fix32 otherLeft, fix32 otherTop, fix32 otherRight, fix32 otherBottom);

u8 isMeleeOverlapping(ObjectStruct *otherObject);

u8 isCollidingTile(u16 x, u16 y);

u8 isVisible(s16 startScreen, s16 endScreen, s16 x);

u8 CheckBottomCollision(ObjectStruct *object);
u8 CheckTopCollision(ObjectStruct *object);
u8 CheckSideCollision(ObjectStruct *object);

void Jump(ObjectStruct *object, fix32 speed);

void DrawCollisionRect(ObjectStruct *object, s16 left, s16 top, s16 right, s16 bottom);

void CollisionFunctionStub(ObjectStruct* objectStruct, ObjectStruct* collidedObject);

#endif