#include <genesis.h>
#include "LevelManager.h"

void SetupSystem()
{
    SYS_disableInts();
    VDP_setScreenHeight224();
    VDP_setScreenWidth320();
    SPR_initEx(16, 256, 256);
    SYS_enableInts();
    JoypadManager_Init();
}

int main()
{
    SetupSystem();
    LevelManagerInit();
    while (TRUE)
    {
        JoypadManager_UpdateJoypad();
        LevelManagerUpdate();
        SPR_update();
        VDP_waitVSync();
    }
    return 0;
}