#include "Palette.h"

u16 allPaletteValues[64];

void SetPalette(u16 paletteIndex, const u16* palette)
{
    int loop = 0;
    for (loop = 0; loop < 16; loop++)
    {
        allPaletteValues[loop + (paletteIndex << 4)] = palette[loop];
    }    
}

void SetPaletteAllBlack()
{
    VDP_setPalette(PAL0, palette_black);
    VDP_setPalette(PAL1, palette_black);
    VDP_setPalette(PAL2, palette_black);
    VDP_setPalette(PAL3, palette_black);
}

void FadeIn()
{
    VDP_fadeInAll(allPaletteValues, 8, 1);
}

void FadeOut()
{
    VDP_fadeOutAll(8, 1);
}